SFML 3.0.2
Loading...
Searching...
No Matches
Namespaces | Enumerations | Functions | Variables
Sensor.hpp File Reference
`#include <SFML/Window/Export.hpp>`
`#include <SFML/System/Vector3.hpp>`

Go to the source code of this file.

## Namespaces

namespace | sf
namespace | sf::Sensor
| Give access to the real-time state of the sensors.

## Enumerations

enum class | sf::Sensor::Type { sf::Sensor::Accelerometer , sf::Sensor::Gyroscope , sf::Sensor::Magnetometer , sf::Sensor::Gravity , sf::Sensor::UserAcceleration , sf::Sensor::Orientation }
| Sensor type. More...

## Functions

bool | sf::Sensor::isAvailable (Type sensor)
| Check if a sensor is available on the underlying platform.
void | sf::Sensor::setEnabled (Type sensor, bool enabled)
| Enable or disable a sensor.
Vector3f | sf::Sensor::getValue (Type sensor)
| Get the current sensor value.

## Variables

static constexpr unsigned int | sf::Sensor::Count {6}
| The total number of sensor types.